import { fetch } from '@whatwg-node/fetch';
export interface GenericSDKOptions {
    endpoint?: string;
    fetchFn?: typeof fetch;
}
export interface GenericRequestParams {
    json?: any;
    params?: Record<string, string>;
    query?: Record<string, string | string[]>;
    headers?: Record<string, string>;
}
export declare function createGenericSDK({ endpoint, fetchFn }?: GenericSDKOptions): any;
